Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.model
Class Transliteration

    java.lang.Object
      org.kemet.impl.grammar.model.Transliteration

All Implemented Interfaces:
  java.io.Serializable, IGlobals

    public class Transliteration

extends java.lang.Object
implements java.io.Serializable, IGlobals

Since:
  0.1
Author:
  fabricemaupin

  BEAN : information about transliteration

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.kemet.impl.grammar.IGlobals
`ALL, ANALYSE_FROM_SIGNS, BILITERAL, CONSONAT, exceptionnalVo, grammarMainClassName, MAX_PART_OF_NOUN, MAX_PART_OF_PREPOSITION, MAX_PART_OF_PRONOUNS, methodNameToManageHieroglyphs, methodNameToManageTransliteration, methodNameToPhoneticRead, methodNameToPhoneticReadWithGlobalApproach, minVersionJRE, NUMBER_OF_TYPE_OF_PHONOGRAMS, PROPOSITION_TYPE_PPA, selectedGrammar, SEMI_CONSONAT, TO_FORMAT, TO_HIEROGLYPHS, TO_READ, TO_TRANSLITERATION, TO_TYPE, TRILITERAL, UNILITERAL, vo`

Constructor Summary
`Transliteration()` instantiate the object.

Method Summary
`boolean` | `add(java.lang.Object e)` add a pronunciation.
`java.lang.String` | `getConventionnal_designation()` return the conventionnal designation.
`java.util.Vector` | `getPronunciation()` return the pronunciation.
`int` | `getType()` return the type.
`java.lang.String[]` | `getValue()` return value.
`void` | `setConventionnal_designation(java.lang.String conventionnal_designation)` fix the conventionnal designation.
`void` | `setConventionnalDesignation(java.lang.String conventionnal_designation)` return the conventional designation.
`void` | `setPronunciation(java.util.Vector pronunciation)` fix the pronunciation.
`void` | `setType(int type)` fix the type.
`void` | `setValue(java.lang.String[] value)` fix the value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Transliteration

    public Transliteration()

  instantiate the object.

  Since:
    0.1

Method Detail

### setConventionnalDesignation

    public void setConventionnalDesignation(java.lang.String conventionnal_designation)

  return the conventional designation.

  Parameters:
    `conventionnal_designation` - designation conventional designation
  Since:
    0.1

### setType

    public void setType(int type)

  fix the type.

  Parameters:
    `type` - type to fix
  Since:
    0.1

### add

    public boolean add(java.lang.Object e)

  add a pronunciation.

  Parameters:
    `e` - pronunciation to add
  Returns:
    true / false
  Since:
    0.1

### getPronunciation

    public java.util.Vector getPronunciation()

  return the pronunciation.

  Returns:
    pronunciation
  Since:
    0.1

### getValue

    public java.lang.String[] getValue()

  return value.

  Returns:
    value
  Since:
    0.1

### setValue

    public void setValue(java.lang.String[] value)

  fix the value.

  Parameters:
    `value` - value to fix
  Since:
    0.1

### getType

    public int getType()

  return the type.

  Returns:
    type
  Since:
    0.6

### setPronunciation

    public void setPronunciation(java.util.Vector pronunciation)

  fix the pronunciation.

  Parameters:
    `pronunciation` - pronunciation to fix
  Since:
    0.6

### getConventionnal_designation

    public java.lang.String getConventionnal_designation()

  return the conventionnal designation.

  Returns:
    conventionnal designation
  Since:
    0.6

### setConventionnal_designation

    public void setConventionnal_designation(java.lang.String conventionnal_designation)

  fix the conventionnal designation.

  Parameters:
    `conventionnal_designation` - conventionnal designation to fix
  Since:
    0.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.